GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
gdcm::network::PDataTFPDU Class Reference

PDataTFPDU Table 9-22 P-DATA-TF PDU FIELDS. More...

`#include <gdcmPDataTFPDU.h>`

Inheritance diagram for gdcm::network::PDataTFPDU:
[legend]
Collaboration diagram for gdcm::network::PDataTFPDU:
[legend]

## Public Types

typedef std::vector < PresentationDataValue > ::size_type | SizeType

## Public Member Functions

| PDataTFPDU ()
void | AddPresentationDataValue (PresentationDataValue const &pdv)
SizeType | GetNumberOfPresentationDataValues () const
PresentationDataValue const & | GetPresentationDataValue (SizeType i) const
bool | IsLastFragment () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()

## Protected Member Functions

std::istream & | ReadInto (std::istream &is, std::ostream &os)

## Detailed Description

PDataTFPDU Table 9-22 P-DATA-TF PDU FIELDS.

## Member Typedef Documentation

typedef std::vector<PresentationDataValue>::size_type gdcm::network::PDataTFPDU::SizeType

## Constructor & Destructor Documentation

gdcm::network::PDataTFPDU::PDataTFPDU | ( |  | ) |

## Member Function Documentation

void gdcm::network::PDataTFPDU::AddPresentationDataValue | ( | PresentationDataValue const & | pdv | ) |

inline

SizeType gdcm::network::PDataTFPDU::GetNumberOfPresentationDataValues | ( |  | ) | const

inline

PresentationDataValue const& gdcm::network::PDataTFPDU::GetPresentationDataValue | ( | SizeType | i | ) | const

inline

bool gdcm::network::PDataTFPDU::IsLastFragment | ( |  | ) | const

virtual

Implements gdcm::network::BasePDU.

void gdcm::network::PDataTFPDU::Print | ( | std::ostream & | os | ) | const

virtual

Implements gdcm::network::BasePDU.

std::istream& gdcm::network::PDataTFPDU::Read | ( | std::istream & | is | ) |

virtual

Implements gdcm::network::BasePDU.

std::istream& gdcm::network::PDataTFPDU::ReadInto | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |

protected

size_t gdcm::network::PDataTFPDU::Size | ( |  | ) | const

virtual

Implements gdcm::network::BasePDU.

const std::ostream& gdcm::network::PDataTFPDU::Write | ( | std::ostream & | os | ) | const

virtual

Implements gdcm::network::BasePDU.

The documentation for this class was generated from the following file:

- gdcmPDataTFPDU.h